# Enderlit Crypto

**Шифратор-дешифратор от Enderlit**  

---

## Установка

```bash
pip install enderlit_crypto
```

---

## Использование

```python
from enderlit_crypto import enderlit_crypt, enderlit_decrypt

# Шифруем
cipher = enderlit_crypt("Hello, world!", 1)

# Дешифруем
plain = enderlit_decrypt(cipher, 1)

print("Зашифровано:", cipher)
print("Расшифровано:", plain)
```

---

## Аргументы

- `text` — строка, которую нужно зашифровать или расшифровать
- `weekday` — день недели (целое число от 0 до 6):
  - `0` — понедельник
  - `1` — вторник
  - `2` — среда
  - `3` — четверг
  - `4` — пятница
  - `5` — суббота
  - `6` — воскресенье

---

## Принцип работы шифра

- Разные схемы подстановки в зависимости от дня недели:
  - В одни дни `a → z`, `b → y`...
  - В другие `a → q`, `b → r`, циклично
- Буквы `q-z` заменяются цифрами
- Пробелы заменяются случайной цифрой
- Добавляется случайный мусор (25% от длины текста)
- В конце добавляется подпись: `_by_Enderlit_2025`

---

## Лицензия

MIT License.  
Текст лицензии — в файле `LICENSE`.
